@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap");
.theme1 {
  --header-bg: #5a0bf2;
  --header-color: #ffffff;
  --body-bg: #ffffff;
  --input-bg: #eae0fe;
  --input-color: #5a0bf2;
  --title-color: #dde6ed;
  --meta-title-color: #1c034c;
  --inner-title-color: #0e0225;
  --color: #5a0bf2;
  --border: #6c1ffd;
  --box-shadow: #6701ff4e;
  --extra-color: #a274f9;
  --outer-title: #9ea9b4;
  --bg-color: #f1eafe;
  --over-bg-color: #fbf8ff;
  --over-color: #670fff;
}
.theme2 {
  --header-bg: #f5410d;
  --header-color: #ffffff;
  --body-bg: #ffffff;
  --input-bg: #feeae5;
  --input-color: #e53a09;
  --title-color: #fef2ef;
  --meta-title-color: #2a0b02;
  --inner-title-color: #3e1002;
  --color: #ef3c09;
  --border: #f76034;
  --box-shadow: #ef3b0971;
  --extra-color: #fbad96;
  --outer-title: #9ea9b4;
  --bg-color: #fef2ef;
  --over-bg-color: #fef2ef;
  --over-color: #f64817;
  --rename-color: #0fb7ff;
  --trash-color: #ff2c2c;
  --icon: rgba(0, 0, 0, 0.4);
}
.theme3 {
  --header-bg: #ff03c4;
  --header-color: #ffedfb;
  --body-bg: #fff8fd;
  --input-bg: #ffedfb;
  --input-color: #ff12c7;
  --title-color: #ff94e6;
  --meta-title-color: #4a0039;
  --inner-title-color: #b5008b;
  --color: #ff31ce;
  --border: #ff40d2;
  --box-shadow: #ff03c47d;
  --extra-color: #ff60da;
  --outer-title: #9ea9b4;
  --bg-color: #ffd9f6;
  --over-bg-color: #fff8fd;
  --over-color: #ff21cb;
  --rename-color: #0fb7ff;
  --trash-color: #ff2c2c;
  --icon: rgba(0, 0, 0, 0.4);
}
.theme4 {
  --header-bg: #22c78c;
  --header-color: #ffffff;
  --body-bg: #03100c;
  --input-bg: #f1fdf8;
  --input-color: #10221b;
  --title-color: #e4faf2;
  --meta-title-color: #caf6e6;
  --inner-title-color: #7ca898d5;
  --color: #00d58b;
  --border: #22c78c;
  --box-shadow: #24d49670;
  --extra-color: #17865e;
  --outer-title: #9ea9b4;
  --bg-color: #044532;
  --over-bg-color: #f2fdff;
  --over-color: #17865e;
  --rename-color: #0fb7ff;
  --trash-color: #ff2c2c;
  --icon: rgba(0, 0, 0, 0.4);
}
.theme5 {
  --header-bg: #e41519;
  --header-color: #ffffff;
  --body-bg: #040000;
  --input-bg: #fde7e7;
  --input-color: #e41519;
  --title-color: #f9c1c2;
  --meta-title-color: #fef9f9;
  --inner-title-color: #ffe3e4;
  --color: #ffb7b8;
  --border: #ed3a3d;
  --box-shadow: #e415185e;
  --extra-color: #f69c9e;
  --outer-title: #9ea9b4;
  --bg-color: #4a0708;
  --over-bg-color: #820c0e44;
  --over-color: #ff171b;
  --rename-color: #0fb7ff;
  --trash-color: #ff2c2c;
  --icon: rgba(0, 0, 0, 0.4);
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  line-height: 1.5;
  font-size: 55.5%;
}
body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  background-color: var(--body-bg);
  font-family: "Lato", sans-serif;
  align-items: center;
  font-size: 1.5rem;
}

.container {
  margin-bottom: 40px;
  padding: 20px 30px 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  position: relative;
  overflow: hidden;
}
.currentDate,
.dateBirth {
  display: flex;
  justify-content: space-between;
  width: 100%;
}
.currentDate .day,
.dateBirth .day {
  color: var(--meta-title-color);
}
.dateBirth #birth-day.error {
  color: rgb(255, 50, 50);
}
.current-date-details,
.birth-date-details {
  display: flex;
  gap: 10px;
  flex-direction: column;
  width: 100%;
}
#currentDate,
#birthDate {
  width: 100%;
  -webkit-appearance: none;
  font-family: "Lato", sans-serif;
  font-size: 1.8rem;
  padding: 15px 20px;
  cursor: pointer;
  background-color: var(--input-bg);
  color: var(--input-color);
  border: none;
  border-radius: 5px;
  transition: box-shadow 0.3s;
  border: 2px solid var(--border);
}
#currentDate:focus,
#birthDate:focus {
  outline: none;
  box-shadow: 0 0 10px var(--box-shadow);
}

#currentDate::-webkit-calendar-picker-indicator,
#birthDate::-webkit-calendar-picker-indicator {
  filter: invert(0.3);
  cursor: pointer;
}

/* Header Start */
header {
  background-color: var(--header-bg);
  padding: 15px;
  width: 100%;
  letter-spacing: 1px;
  color: var(--header-color);
  border-bottom: 2px solid var(--border);
  box-shadow: 0 0 5px var(--box-shadow);
}
p.main-header-title {
  font-size: 2.3rem;
  font-weight: 700;
  margin-left: 15px;
}
/* Header End */
.btn-container {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}
.btn {
  width: 50%;
  padding: 10px 30px;
  border: 2px solid var(--border);
  font-size: 1.8rem;
  letter-spacing: 1px;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
  box-shadow: 0 0 10px var(--box-shadow);
}
.btn:active {
  transform: scale(0.97);
}
.btn.clear {
  background-color: transparent;
  color: var(--inner-title-color);
}
.btn.calculate {
  background-color: var(--header-bg);
  color: var(--header-color);
}
.btn:hover {
  filter: brightness(90%);
}
.your-age > div,
.next-birthday > div {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  text-align: center;
  padding: 10px 0;
  gap: 30px;
  border: 2px solid var(--border);
  border-radius: 5px;
  box-shadow: 0 0 10px var(--box-shadow);
  margin-top: 10px;
}
.next-birthday > div {
  grid-template-columns: repeat(2, 1fr);
}
.next-birthday > section.title {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.next-birth-day {
  color: var(--meta-title-color);
}
.years,
.months,
.days {
  font-size: 1.4rem;
  color: var(--inner-title-color);
  text-transform: uppercase;
}
.calculated-year,
.calculated-month,
.calculated-day,
.left-days,
.left-months {
  font-size: 3rem;
  color: var(--color);
}
.your-age-title,
.next-birthday-title,
.extras-title {
  font-size: 1.7rem;
}
.extra-details > div {
  display: flex;
  justify-content: space-between;
  padding: 5px 30px;
  color: var(--extra-color);
}
.extra-details > div span {
  color: var(--inner-title-color);
}
.extra-details {
  margin-top: 10px;
  border: 2px solid var(--border);
  padding: 15px 0;
  box-shadow: 0 0 10px var(--box-shadow);
  border-radius: 10px;
}
.extras.hide {
  display: none;
}
.extras {
  display: block;
}
.currentDate p,
.dateBirth p,
.your-age-title,
.next-birthday-title,
.extras-title {
  color: var(--outer-title);
}
.message {
  position: fixed;
  background-color: var(--header-bg);
  border-left: 5px solid rgb(249, 249, 249);
  color: var(--header-color);
  box-shadow: 0 0 10px #04000057;
  top: 50%;
  left: 120%;
  transform: translate(-50%, -50%);
  font-size: 2.2rem;
  padding: 10px 20px;
  border-radius: 5px;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  text-align: center;
  width: 300px;
  overflow: hidden;
}
.message.show {
  position: fixed;
  background-color: var(--header-bg);
  border-left: 5px solid rgb(249, 249, 249);
  color: var(--header-color);
  box-shadow: 0 0 10px #04000057;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 2.2rem;
  padding: 10px 20px;
  border-radius: 5px;
  opacity: 1;
  visibility: visible;
}
@media (min-width: 700px) {
  .container,
  header {
    width: 500px;
  }
}
